
/* ----------------------------- def_params.h ------------------------------ */

/* set default parameters */

float	clp_sn[12] =					/* clip sensitivity  */
		{1.4, 1.4, 1.4, 1.4, 1.4, 1.4,
		 1.4, 1.4, 1.4, 1.4, 1.4, 1.4};

float	rel_limit[12] =					/* rel. limit	     */
		{1.0, 1.0, 1.0, 1.0, 1.0, 1.0,
		 1.0, 1.0, 1.0, 1.0, 1.0, 1.0};

float	offs_res[12] =					/* offset resolution */
		{0.020, 0.014, 0.010, 0.008, 0.006,
		 0.004, 0.002, 0.001, 0.001, 0.001,
		 0.001, 0.001};

float	offs_max[12] =					/* max. offset	     */
		{8.0, 8.0, 8.0, 8.0, 8.0, 8.0,
		 8.0, 8.0, 8.0, 8.0, 8.0, 8.0};

int	ovrlap[12] =					/* overlap number    */
		{8, 8, 8, 8, 8, 4, 4, 4, 4, 4, 4, 2};

int	stereo_mode[12] =				/* j-stereo mode     */
		{1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0};

float	limit =		30000.0;			/* limit	     */
float	esr =		44100.0;			/* sample rate	     */
float	clpl1 =		31000.0;			/* clip level 1	     */
float	clpl2 =		32500.0;			/* clip level 2	     */
float	scale =		1.0;				/* output scale	     */

int	lband =		0;				/* min. band	     */
int	numbands =	10;				/* number of bands   */
int	v_mode =	0;				/* verbose mode	     */
int	l_mode =	0;				/* limiter mode	     */

float	ffreq1 =	50.0;				/* filter 1	     */
float	flvl1 =		0.0;
float	flvh1 =		1.0;
float	ffreq2 =	1200.0;				/* filter 2	     */
float	flvl2 =		0.15;
float	flvh2 =		1.0;
float	ffreq3 =	10000.0;			/* filter 3	     */
float	flvl3 =		1.0;
float	flvh3 =		0.0;
float	ffreq4 =	10000.0;			/* filter 4	     */
float	flvl4 =		1.0;
float	flvh4 =		0.0;

/* ------------------------------------------------------------------------- */


