
/* ---------------------------------------- getparams.h ---------------------------------------- */

void	PrintVersion (void);			/* print program version			*/
void	PrintUsage (void);			/* print program usage				*/
void	PrintArrayFloat (float*, char*, char*);	/* print settings for all bands			*/
void	PrintArrayInt (int*);			/* print settings for all bands			*/
void	ErrMsg (char*);				/* error message				*/
void	ErrMsg2 (void);				/* print usage and exit (bad parameters)	*/

void	CheckRangeFloat (char*, float, float, float);
void	CheckRangeInt (char*, int, int, int);

/* Read a float value from command line */

void	GetFloat (int*, char*, float*, float, float);

/* Read a float value for one or all bands */

void	GetFloatForBand (int*, char*, float*, float, float);

/* Read a float value for all bands */

void	GetFloatForAllBands (int*, char*, float*, float, float);

/* Read an integer value from command line */

void	GetInt (int*, char*, int*, int, int);

/* Read an integer value for one or all bands */

void	GetIntForBand (int*, char*, int*, int, int);

/* Read an integer value for all bands */

void	GetIntForAllBands (int*, char*, int*, int, int);

/* --------------------------------------------------------------------------------------------- */

/* read parameters from command line */

void	GetParams (void);

/* check parameters and print them in case of verbose mode */

void	CheckParameters (void);

/* --------------------------------------------------------------------------------------------- */


