
/* -------------------------------- main.h --------------------------------- */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <float.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>

#define MAXBLKSIZE	4096
#define ALLBLKSIZE	81920	/* ALLBLKSIZE = ALLBLKSIZ2 + 4 * MAXBLKSIZE */
#define ALLBLKSIZ2	65536

/* ------------------------------------------------------------------------- */

extern float	clp_sn[12];			/* clip sensitivity	*/
extern float	rel_limit[12];			/* rel. limit		*/
extern float	offs_res[12];			/* offset resolution	*/
extern float	offs_max[12];			/* max. offset		*/
extern int	ovrlap[12];			/* number of overlaps	*/
extern int	stereo_mode[12];		/* j-stereo mode	*/

extern float	limit;				/* limit		*/
extern float	esr;				/* sample rate		*/
extern float	clpl1;				/* clip level 1		*/
extern float	clpl2;				/* clip level 2		*/
extern float	scale;				/* output scale		*/

extern int	lband;				/* min. band		*/
extern int	numbands;			/* number of bands	*/
extern int	v_mode;				/* verbose mode		*/
extern int	l_mode;				/* limiter mode		*/

extern float	ffreq1;				/* filter 1		*/
extern float	flvl1;
extern float	flvh1;
extern float	ffreq2;				/* filter 2		*/
extern float	flvl2;
extern float	flvh2;
extern float	ffreq3;				/* filter 3		*/
extern float	flvl3;
extern float	flvh3;
extern float	ffreq4;				/* filter 4		*/
extern float	flvl4;
extern float	flvh4;

/* ------------------------------------------------------------------------- */

extern float	tmpblockx[ALLBLKSIZE << 1];
extern float	xblock_save[MAXBLKSIZE << 3];
extern int	infile, outfile;
extern int	fsize, fsize2, fpos, i;
extern float	offs_0, max_offs, clip_sens;

extern float	fxa1, fxb1, fxc1, fxd1;
extern float	fxa2, fxb2, fxc2, fxd2;
extern float	fxa3, fxb3, fxc3, fxd3;
extern float	fxa4, fxb4, fxc4, fxd4;

extern float	WindowTable[5120];

extern int	argc;
extern char	**argv;

extern char	program_name[16];
extern char	stdin_name[16];
extern char	stdout_name[16];

#ifndef PI
#define PI 3.14159265358979323846
#endif

/* ------------------------------------------------------------------------- */


